### Method

# Gio Subprocess send_signal

since: 2.40

#### Declaration [src]

    void
    g_subprocess_send_signal (
      GSubprocess* subprocess,
      gint signal_num
    )

#### Description [src]

Sends the UNIX signal `signal_num` to the subprocess, if it is still running.

This API is race-free. If the subprocess has terminated, it will not be signalled.

This API is not available on Windows.

Available since: 2.40

#### Parameters

`signal_num`

  Type: `gint`

  The signal number to send.